package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolQueryitemsRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItempoolQueryitemsRequest) SetParam(v domain.AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery) *AlibabaHmMarketingItempoolQueryitemsRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItempoolQueryitemsRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolQueryitemsRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
